<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel"
    modelDirectory="/br.unicamp.ic.mo631.robodsl/src-gen" creationIcons="false"
    editDirectory="/br.unicamp.ic.mo631.robodsl.edit/src-gen" editorDirectory="/br.unicamp.ic.mo631.robodsl.editor/src-gen"
    modelPluginID="br.unicamp.ic.mo631.robodsl" modelName="Robodsl" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    codeFormatting="true" importerID="org.eclipse.emf.importer.ecore" complianceLevel="8.0"
    copyrightFields="false" operationReflection="true" importOrganizing="true">
  <foreignModel>robodsl.ecore</foreignModel>
  <testsDirectory xsi:nil="true"/>
  <genPackages prefix="Robodsl" basePackage="br.unicamp.ic.mo631" disposableProviderFactory="true"
      ecorePackage="robodsl.ecore#/">
    <genClasses ecoreClass="robodsl.ecore#//Robot">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Robot/brand"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Robot/model"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference robodsl.ecore#//Robot/behavior"/>
      <genFeatures property="Readonly" notify="false" createChild="false" ecoreFeature="ecore:EReference robodsl.ecore#//Robot/followedBy"/>
    </genClasses>
    <genClasses ecoreClass="robodsl.ecore#//Behavior"/>
    <genClasses ecoreClass="robodsl.ecore#//Random"/>
    <genClasses ecoreClass="robodsl.ecore#//GoToPosition">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference robodsl.ecore#//GoToPosition/position"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//GoToPosition/loop"/>
    </genClasses>
    <genClasses ecoreClass="robodsl.ecore#//Position">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Position/x"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Position/y"/>
    </genClasses>
    <genClasses ecoreClass="robodsl.ecore#//Follow"/>
    <genClasses ecoreClass="robodsl.ecore#//RunAway"/>
    <genClasses ecoreClass="robodsl.ecore#//TargetedBehavior">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference robodsl.ecore#//TargetedBehavior/target"/>
    </genClasses>
    <genClasses ecoreClass="robodsl.ecore#//Scene">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference robodsl.ecore#//Scene/elements"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Scene/name"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference robodsl.ecore#//Scene/size"/>
      <genFeatures property="Readonly" createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Scene/area"/>
    </genClasses>
    <genClasses ecoreClass="robodsl.ecore#//Element">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Element/name"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference robodsl.ecore#//Element/size"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference robodsl.ecore#//Element/startingPosition"/>
      <genFeatures property="Readonly" notify="false" createChild="false" ecoreFeature="ecore:EReference robodsl.ecore#//Element/closestElement"/>
    </genClasses>
    <genClasses ecoreClass="robodsl.ecore#//Size">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Size/x"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute robodsl.ecore#//Size/y"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
